package cokr.xit.fims.mngt.service;

import java.util.List;

import cokr.xit.fims.mngt.Ntc;
import cokr.xit.fims.mngt.NtcQuery;
import cokr.xit.foundation.data.DataObject;

public interface NtcService {

	/**지정한 조건에 따라 공지사항 목록을 조회하여 반환한다.
	 * @param req 공지사항 조회 조건
	 * @return 공지사항 목록
	 */
	List<DataObject> getNtcList(NtcQuery req);

	/**지정한 공지사항ID로 공지사항 객체를 반환한다.
	 * @param ntcId 공지사항 ID
	 * @return 공지사항 객체
	 */
	DataObject getNtcInfo(String ntcId);

	/**공지사항 정보를 등록한다.
	 * @param ntc 공지사항
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	String create(Ntc ntc);

	/**공지사항 정보를 수정한다.
	 * @param ntc 공지사항
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	String update(Ntc ntc);

	/**공지사항 정보를 삭제한다.
	 * @param ntc 공지사항
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	String remove(Ntc ntc);

}
